/**************************************************************************
 usersub.c, created 7/26/93 by Scott Grosch

 Copyright (C) 1992 by the Regents of the University of Michigan.

 User agrees to reproduce said copyright notice on all copies of the software
 made by the recipient.

 All Rights Reserved. Permission is hereby granted for the recipient to make
 copies and use this software for its own internal purposes only. Recipient of
 this software may not re-distribute this software outside of their own
 institution. Permission to market this software commercially, to include this
 product as part of a commercial product, or to make a derivative work for
 commercial purposes, is explicitly prohibited.  All other uses are also
 prohibited unless authorized in writing by the Regents of the University of
 Michigan.

 This software is offered without warranty. The Regents of the University of
 Michigan disclaim all warranties, express or implied, including but not
 limited to the implied warranties of merchantability and fitness for any
 particular purpose. In no event shall the Regents of the University of
 Michigan be liable for loss or damage of any kind, including but not limited
 to incidental, indirect, consequential, or special damages.
***************************************************************************/

#include "EXTERN.h"
#include "perl.h"
#include "patchlevel.h"

extern void init_krb();

int userinit() { init_krb(); }

#define Prog "Kperl"
#define prog "kperl"

void krb_version() {
     
     /* Identify the program and its version */
     
     printf("\nThis is %s, version %d, patch level %d.\n", Prog,
	    VERSION, PATCHLEVEL);
     
     /* Display the copyright information */
     
     printf("Perl is copyright by Larry Wall; type %s -v for details.\n",
	    prog);
     printf("Additions for %s: Copyright 1993, Scott Grosch.\n",
	    prog);
     printf("\n%s may be distributed under the same conditions as Perl.\n\n",
	    Prog);
}

